Bug 9029 - java-1.7.0-openjdk new security issues fixed in IcedTea 2.3.6
: java-1.7.0-openjdk new security issues fixed in IcedTea 2.3.6
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: Security
: 2
: i586 Linux
: Normal Severity: critical
: ---
Assigned To: QA Team
:
: http://lwn.net/Vulnerabilities/536242/
: has_procedure MGA2-64-OK mga2-32-ok
: validated_update
:
:
  Show dependency treegraph
 
Reported: 2013-02-10 19:11 CET by David Walser
Modified: 2013-02-17 01:57 CET (History)
4 users (show)

See Also:
Source RPM: java-1.7.0-openjdk-1.7.0.6-2.3.4.1.mga3.src.rpm
CVE:
Status comment:


Attachments

Description David Walser 2013-02-10 19:11:56 CET
RedHat and Fedora have issued advisories on February 8 and 9:
https://rhn.redhat.com/errata/RHSA-2013-0247.html
http://lists.fedoraproject.org/pipermail/package-announce/2013-February/098445.html

We need to sync the appropriate changes from Fedora and issue an update.

http://pkgs.fedoraproject.org/cgit/java-1.7.0-openjdk.git/log/

The CVEs fixed in IceaTea 1.3.5 are the same as were in IcedTea6, plus:
CVE-2013-0431 and CVE-2013-0444

The upstream release announcements haven't been issued yet.
Comment 1 David Walser 2013-02-12 20:33:38 CET
Turns out 2.3.5 wasn't announced because of regressions.

2.3.6 has been released, and announced:
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021876.html
Comment 2 David Walser 2013-02-13 16:24:29 CET
Finally, the upstream blog post has been posted:
http://blog.fuseyism.com/index.php/2013/02/13/security-icedtea-2-3-6-released/

Now we just need Fedora to finish their update so we can finish ours.
Comment 3 David Walser 2013-02-15 19:25:34 CET
Updated package uploaded for Cauldron.  Thanks D Morgan!

Updated package uploaded for Mageia 2.

Advisory:
========================

Updated java-1.7.0-openjdk packages fix security vulnerabilities:

Multiple improper permission check issues were discovered in the AWT,
CORBA, JMX, Libraries, and Beans components in OpenJDK. An untrusted Java
application or applet could use these flaws to bypass Java sandbox
restrictions (CVE-2013-0442, CVE-2013-0445, CVE-2013-0441, CVE-2013-1475,
CVE-2013-1476, CVE-2013-0429, CVE-2013-0450, CVE-2013-0425, CVE-2013-0426,
CVE-2013-0428, CVE-2013-0444).

Multiple flaws were found in the way image parsers in the 2D and AWT
components handled image raster parameters. A specially-crafted image could
cause Java Virtual Machine memory corruption and, possibly, lead to
arbitrary code execution with the virtual machine privileges
(CVE-2013-1478, CVE-2013-1480).

A flaw was found in the AWT component's clipboard handling code. An
untrusted Java application or applet could use this flaw to access
clipboard data, bypassing Java sandbox restrictions (CVE-2013-0432).

The default Java security properties configuration did not restrict access
to certain com.sun.xml.internal packages. An untrusted Java application or
applet could use this flaw to access information, bypassing certain Java
sandbox restrictions. This update lists the whole package as restricted
(CVE-2013-0435).

Multiple improper permission check issues were discovered in the JMX,
Libraries, Networking, and JAXP components. An untrusted Java application
or applet could use these flaws to bypass certain Java sandbox
restrictions (CVE-2013-0431, CVE-2013-0427, CVE-2013-0433, CVE-2013-0434).

It was discovered that the RMI component's CGIHandler class used user
inputs in error messages without any sanitization. An attacker could use
this flaw to perform a cross-site scripting (XSS) attack (CVE-2013-0424).

It was discovered that the SSL/TLS implementation in the JSSE component
did not properly enforce handshake message ordering, allowing an unlimited
number of handshake restarts. A remote attacker could use this flaw to
make an SSL/TLS server using JSSE consume an excessive amount of CPU by
continuously restarting the handshake (CVE-2013-0440).

It was discovered that the JSSE component did not properly validate
Diffie-Hellman public keys. An SSL/TLS client could possibly use this flaw
to perform a small subgroup attack (CVE-2013-0443).

IcedTea has been updated to version 2.3.6, which fixes these issues.

References:
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2013-0424
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2013-0425
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2013-0426
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2013-0427
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2013-0428
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2013-0429
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2013-0431
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2013-0432
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2013-0433
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2013-0434
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2013-0435
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2013-0440
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2013-0441
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2013-0442
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2013-0444
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2013-0450
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2013-1475
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2013-1476
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2013-1478
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2013-1480
http://blog.fuseyism.com/index.php/2013/02/13/security-icedtea-2-3-6-released/
http://www.oracle.com/technetwork/topics/security/javacpufeb2013-1841061.html
https://rhn.redhat.com/errata/RHSA-2013-0247.html
========================

Updated packages in core/updates_testing:
========================
java-1.7.0-openjdk-1.7.0.6-2.3.6.1.mga2
java-1.7.0-openjdk-devel-1.7.0.6-2.3.6.1.mga2
java-1.7.0-openjdk-demo-1.7.0.6-2.3.6.1.mga2
java-1.7.0-openjdk-src-1.7.0.6-2.3.6.1.mga2
java-1.7.0-openjdk-javadoc-1.7.0.6-2.3.6.1.mga2

from java-1.7.0-openjdk-1.7.0.6-2.3.6.1.mga2.src.rpm
Comment 4 Bill Wilkinson 2013-02-16 18:34:02 CET
Could not find PoC for any of the listed fixes.

Installed and checked version. OK

Tested with HelloWorld and OddEven, both worked normally

HelloWorld:
http://docs.oracle.com/javase/tutorial/getStarted/cupojava/unix.html

OddEven:
https://en.wikipedia.org/wiki/Java_%28programming_language%29#A_more_comprehensive_example

MGA2-64 OK
Comment 5 claire robinson 2013-02-16 23:39:26 CET
Testing complete mga2 32

Ensured java-1.7.0-openjdk is being used.

# update-alternatives --config java

There are 3 programs which provide `java'.

  Selection    Command
-----------------------------------------------
*     1        /usr/lib/jvm/jre-1.6.0-openjdk/bin/java
 +    2        /usr/lib/jvm/jre-1.7.0-openjdk/bin/java
      3        /usr/lib/jvm/jre-1.5.0-gcj/bin/java

Enter to keep the default[*], or type selection number: 2
Using `/usr/lib/jvm/jre-1.7.0-openjdk/bin/java' to provide `java'.

Tested using Bill's examples.
Comment 6 claire robinson 2013-02-16 23:40:33 CET
Validating

Srpm & advisory in comment 3

Could sysadmin please push from core/updates_testing to core/updates

Thanks!
Comment 7 Thomas Backlund 2013-02-17 01:57:36 CET
Update pushed:
https://wiki.mageia.org/en/Support/Advisories/MGASA-2013-0056

Note You need to log in before you can comment on or make changes to this bug.